/* 
 * 
 * Home Health Grouper PDGM (Patient-Driven Grouping Model)
 * 
 * Developed for the Center for Medicare and Medicaid Services (CMS)
 * by 3M Health Information Systems.
 * 
 * All code is provided as is.
 * 
 */
 package com.mmm.cms.hh.pdgm.logic.specification.abstr;

/**
 *
 * @author US340646
 * @param <T>
 */
public class NotSpecification<T> extends AbstractSpecification<T> {

    private final Specification<T> spec;

    /**
     *
     * @param s
     */
    public NotSpecification(Specification<T> s) {
        this.spec = s;
    }

    /**
     *
     * @param t
     * @return
     */
    @Override
    public boolean isSatisfiedBy(T t) {
        return !spec.isSatisfiedBy(t);
    }

}
